## visad.georef
Interface NamedLocation

All Superinterfaces:
  Data, EarthLocation, LatLonPoint, Thing

All Known Implementing Classes:
  NamedLocationTuple

public interface NamedLocation
extends EarthLocation

An interface for a named earth location.

Field Summary

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Method Summary
`EarthLocation` `getEarthLocation()` Get the lat/lon/altitude as an EarthLocation.
`Text` `getIdentifier()` Return a unique identifier.

Methods inherited from interface visad.georef.EarthLocation
`getAltitude, getLatLonPoint`

Methods inherited from interface visad.georef.LatLonPoint
`equals, getLatitude, getLongitude`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, isMissing, local, log, log, longString, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from interface visad.Thing
`addReference, removeReference`

Method Detail

### getIdentifier

    public Text getIdentifier()

  Return a unique identifier. This might be a Text object representing the name of the station (e.g.: "Denver"), the ICAO 4 letter id (e.g., "KDEN"), a WMO block and station number as a string (e.g., "72565"), or some other identifying string (i.e., "intersection of Mitchell and 47th" or "Point A", or "A")

  Returns:
    Text whose getValue() method returns the identifier

### getEarthLocation

    public EarthLocation getEarthLocation()

  Get the lat/lon/altitude as an EarthLocation.

  Returns:
    EarthLocation for this object